Package Details: amazon-corretto-11 11.0.18.10.1-1

Git Clone URL: https://aur.archlinux.org/amazon-corretto-11.git (read-only, click to copy)
Package Base: amazon-corretto-11
Description: No-cost, multiplatform, production-ready distribution of OpenJDK
Upstream URL: https://aws.amazon.com/corretto/
Licenses: GPL2
Provides: java-environment, java-runtime, java-runtime-headless
Submitter: eagletmt
Maintainer: eagletmt
Last Packager: eagletmt
Votes: 9
Popularity: 0.017279
First Submitted: 2019-04-27 22:34 (UTC)
Last Updated: 2023-01-18 16:58 (UTC)

Required by (2529)

Sources (4)

Latest Comments

lloyd commented on 2022-01-23 21:38 (UTC)

I'm putting this in what is hopefully a big green box because people keep missing it.

Here are two commands that should import the key into your personal GPG key chain and fix the verification problem. You can use either command. @yarhoslavme has the better answer.

# From @yarhoslavme below
curl https://apt.corretto.aws/corretto.key | gpg --import

# What I did 
gpg --keyserver pgp.mit.edu --recv-keys A122542AB04F24E3

clouseau123 commented on 2021-11-08 11:47 (UTC) (edited on 2021-11-08 11:53 (UTC) by clouseau123)

I think the package is broken. I tried installing directly from Github and it is also not working. We probably have to wait for the next release.

sudo pacman -U amazon-corretto-11.0.13.8.1-linux-x64.tar.gz 
loading packages...
error: missing package metadata in amazon-corretto-11.0.13.8.1-linux-x64.tar.gz
:: Import PGP key A122542AB04F24E3? [Y/n] Y
error: 'amazon-corretto-11.0.13.8.1-linux-x64.tar.gz': invalid or corrupted     package (PGP signature)

GC268DM commented on 2021-10-11 08:31 (UTC)

Does not work for me.

Error:

==> Validating source files with md5sums...
    amazon-corretto-11.0.12.7.1-linux-x64.tar.gz ... Passed
    amazon-corretto-11.0.12.7.1-linux-x64.tar.gz.sig ... Skipped
==> Verifying source file signatures with gpg...
    amazon-corretto-11.0.12.7.1-linux-x64.tar.gz ... FAILED
==> ERROR: One or more PGP signatures could not be verified!

Tried with

sudo pamac build amazon-corretto-11

and

sudo yay -S amazon-corretto-11

monokuai commented on 2020-07-20 15:13 (UTC)

@yarhoslavme, thank you, your solution works for me

yarhoslavme commented on 2020-07-20 12:50 (UTC)

Try manually import the gpg key before update.

curl https://apt.corretto.aws/corretto.key | gpg --import

monokuai commented on 2020-07-20 12:34 (UTC)

Same gpg error like @Thrawn since today

Thrawn commented on 2020-07-20 09:01 (UTC)

Not sure if it's related to this package specifically or to GPG being down temporary, but I'm getting:

==> PGP keys need importing:
 -> 6DC3636DAE534049C8B94623A122542AB04F24E3, required by: amazon-corretto-11
==> Import? [Y/n] y
:: Importing keys with gpg...
gpg: keyserver receive failed: General error
problem importing keys

Any idea how to fix it?